@charset "UTF-8";

/* ====================================================
【色設定】
==================================================== */
:root {
  --color_base: #fff;
  --color_text: #333;
  --color_link: #333;
  --color_border: #DBE6E1;
  --color_primary: #75BA9C;
  --color_sub01: #D6B761;
  --color_sub02: #FDF2D5;
  --color_bg: #ECF7F3;
  --color_white: #fff;
  --color_black: #333;
  --color_gray: #E0E0E0;
  --color_gray_light: #F6F6F6;
  --color_gray_dark: #777;
}

/* ====================================================
【サイト全体の設定】
==================================================== */
:root {
  --font_base: "FOT-筑紫明朝 Pr6N D", serif;
  --font_base_bold: "FOT-筑紫明朝 Pr6N B", serif;
  --font_jp: "Noto Serif JP", serif;
  --font_en: "Oooh Baby", cursive;
  --font_weight: normal;
  --font_medium: 500;
  --font_size: 0.9375rem;
  --line_height: 2.0;
  --letter_spacing: .05em;
}

@media (max-width: 800px) {
  :root {
    --line_height: 1.8;
  }
}

/* ====================================================
【ブロック用CSS】
==================================================== */
/* 幅広・全幅ブロック以外にデフォルトコンテンツ幅を指定 */
.entry-content>*:not(.alignwide):not(.alignfull) {
  max-width: var(--wp--style--global--content-size);
}

/* 幅広ブロックに幅広コンテンツ幅を指定 */
.entry-content>*.alignwide {
  max-width: var(--wp--style--global--wide-size);
}

/* 全幅ブロックを除いて左右にオートマージンを付与する */
.entry-content>*:not(.alignfull) {
  margin-right: auto;
  margin-left: auto;
}

/* 共通 */
.editor-styles-wrapper {
  padding-left: var(--wp--custom--gutter);
  padding-right: var(--wp--custom--gutter);
}

/* テーブル */
.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table.case-table>table tr th,
.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table.case-table>table tr td {
  border: 0;
  line-height: 1.5;
  padding: 28px 25px;
}

.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table tr th,
.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table tr td {
  border: 1px solid var(--color_primary);
  line-height: 1.5;
  padding: 17px 35px;
}

.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table tr th {
  background-color: #9DC4B3;
  color: #fff;
  font-size: 1rem;
  vertical-align: middle;
  width: 33%;
}

.case-layout .before-after {
  margin-bottom: 60px;
}

.before-after {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-content: space-between;
  gap: min(5.555vw, 100px);
  position: relative;
}

.before-after::before {
  content: "";
  background: url(../images/share/icon_arrow_right.svg) no-repeat center/contain;
  width: 16px;
  height: 47px;
  position: absolute;
  top: 43%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.before-after figure {
  display: grid;
  place-items: center;
  max-height: 330px;
  position: relative;
}

.before-after figure img {
  -o-object-fit: contain;
  object-fit: contain;
  -o-object-position: center;
  object-position: center;
  height: 330px;
}

.before-after p {
  font-size: 1.5625rem;
  line-height: 1;
  margin-top: 15px;
}

@media (max-width:800px) {
  .case-layout .before-after {
    margin-bottom: 30px;
  }

  .before-after {
    grid-template-columns: 1fr;
    gap: 50px;
  }

  .before-after::before {
    top: 49%;
    transform: translate(-50%, -50%) rotate(90deg);
  }

  .before-after figure {
    max-height: 250px;
  }

  .before-after figure img {
    height: 250px;
  }

  .before-after p {
    font-size: 1.125rem;
  }

  .before-after .item+.item::before {
    width: 15px;
    top: -40px;
    left: 50%;
    transform: translateX(-50%) rotate(90deg);
  }

  .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table tr th,
  .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table tr td {
    display: block;
    padding: 10px;
    border-bottom: none;
  }

  .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table tr th {
    width: 100%;
    font-size: 0.9375rem;
  }

  .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table tr td {
    font-size: 0.875rem;
  }
}
